<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output method="html" />
  <xsl:template match="/newsletter">
    <html>
      <body>
        <table width="600" style="border: 1px lightgray solid; padding: 5px; background-color: white">
          <tr>
            <td style="border: 0px; text-align: center; font-size: small">
              <h2>
                <a>
                  <xsl:attribute name="href">
                    <xsl:value-of select="link"/>
                  </xsl:attribute>
                  <xsl:value-of select="title"/>
                </a>
              </h2>
              <p><strong><xsl:value-of select="date"/></strong></p>
            </td>
          </tr>
          <xsl:if test="message">
            <tr>
              <td style="border-bottom: 1px solid black; text-align: center; padding: 5px 0px">
                <p><xsl:value-of select="message"/></p>
              </td>
            </tr>
          </xsl:if>
          <xsl:for-each select="section">
            <tr style="border: 0px; padding: 0px; margin: 0px">
              <th style="border-top: 1px solid black; border-bottom: 5px solid black; padding: 5px 0px; font-size: x-large">
                <p><xsl:value-of select="name"/></p>
              </th> 
            </tr>
            <xsl:for-each select="content"> 
              <tr style="border: 0px; padding: 0px; margin: 0px">
                <td style="border-bottom: 1px solid black; padding: 5px 0px">
                  <p>
                    <a>
                      <xsl:attribute name="href">
                        <xsl:value-of select="link"/>
                      </xsl:attribute>
                      <xsl:value-of select="title"/>
                    </a><br />
                    <xsl:if test="author">
                      <a>
                        <xsl:attribute name="href">
                          <xsl:value-of select="authorlink"/>
                        </xsl:attribute>
                        <xsl:value-of select="author"/>
                      </a><br />
                    </xsl:if>
                    <i><xsl:value-of select="date"/></i><br/>
                    <xsl:value-of select="teaser"/>
                  </p>
                </td>
              </tr>
            </xsl:for-each>
          </xsl:for-each>
          <tr>
            <td style="border: 0px; padding: 5px 0px">
              <p><xsl:value-of select="notice"/></p>
            </td>
          </tr>
        </table>
      </body>
    </html>
  </xsl:template>
</xsl:stylesheet>
